Index of /pool/main/l/liquidsoap

Icon  Name                                     Last modified      Size  Description
[PARENTDIR] Parent Directory - [   ] liquidsoap_1.1.1.orig.tar.gz 2013-09-25 15:10 11M [   ] liquidsoap_1.1.1~precise~sfo-2_amd64.deb 2013-12-19 16:23 2.0M [   ] liquidsoap_1.1.1~precise~sfo-2_i386.deb 2013-12-19 16:24 1.8M [   ] liquidsoap_1.1.1~wheezy~sfo-2_amd64.deb 2013-12-19 16:25 2.0M [   ] liquidsoap_1.1.1~wheezy~sfo-2_i386.deb 2013-12-19 16:25 1.9M
Official Sourcefabric Debian/Ubuntu packages

For detailed instructions on how to install Newscoop, please see the chapter 
'Installation on Debian/Ubuntu' in the book 'Newscoop 4 for Journalists and Editors':

For detailed instructions on how to install Airtime, please read the chapter 
'Automated installation' in the book 'Airtime 2 for Broadcasters':

For detailed instructions on how to install Booktype, please read the chapter
'Automated install on Debian or Ubuntu GNU/Linux' in the book 'Booktype 2 for Authors and Publishers':

Repository setup

Edit /etc/apt/sources.list and add one of:

  (Debian jessie, stable):
  deb jessie main

  (Debian wheezy, oldstable):
  deb wheezy main

  (Ubuntu 14.04 LTS Trusty):
  deb trusty main

  (Ubuntu 12.04 LTS Precise):
  deb precise main

If installing Airtime on Ubuntu, make sure the multiverse repository is enabled.

If installing Booktype on Debian wheezy, you will also need the line:

  deb wheezy-backports main

To enable secure apt and avoid warnings about an untrusted repository, enter the commands:

# sudo apt-get update
# sudo apt-get install sourcefabric-keyring
# sudo apt-get update

Install Newscoop

For a single-server Newscoop install:

# sudo apt-get install newscoop geonames-city-data mysql

Optionally, install sample publication data:

# sudo apt-get install newscoop-sample-data

Install Airtime

For a single-server Airtime install:

# sudo apt-get install airtime icecast2 postgresql

Optionally, install sample audio files:

# sudo apt-get install airtime-audio-samples

Install Booktype

Booktype 2.0 is supported on Debian jessie or Ubuntu 14.04 LTS trusty. For a single-server Booktype install:

# sudo apt-get install postgresql

Create Booktype database according to user manual, then:

# sudo apt-get install booktype


Packages in the snapshots directory are based on a development branch and are 
not for production use. Please be extra careful to back up your system before 
installing them. Better still, try them in a virtual container rather than on 
your server!


Copies of our latest packages are provided in the misc directory for your 
convenience, if you do not wish to use our apt repository. You can also find 
the airtime-easy-setup and newscoop-easy-setup packages there.